/*
  this class controls the different decoders.
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */






#ifndef __YAFAMPLIFIER_H
#define __YAFAMPLIFIER_H

#include <producer/yaf/yafProducer.h>
#include <devices/genericStreamProducer.h>
#include <util/ptrArray.h>
#include <yafAmplifier/amplifierConfig.h>


class YafAmplifier  {

  AmplifierConfig* config;

 public:
  YafAmplifier();
  ~YafAmplifier();
 
  // returns the id for the decoder. types defined in AmplifierConfig.h
  GenericStreamProducer* createDecoder(int decoderTyp);


};

#endif

